Skip to main content
GET
/
api
/
v1
/
resource-groups
List all resource groups for the authenticated org with health summaries
curl --request GET \
  --url https://api.devhelm.io/api/v1/resource-groups \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devhelm.io/api/v1/resource-groups"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devhelm.io/api/v1/resource-groups', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationId": 123,
      "name": "<string>",
      "slug": "<string>",
      "suppressMemberAlerts": true,
      "health": {
        "totalMembers": 123,
        "operationalCount": 123,
        "activeIncidents": 123,
        "failingCount": 123
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "alertPolicyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "defaultFrequency": 123,
      "defaultRegions": [
        "<string>"
      ],
      "defaultRetryStrategy": {
        "type": "<string>",
        "maxRetries": 123,
        "interval": 123
      },
      "defaultAlertChannels": [
        "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      ],
      "defaultEnvironmentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "healthThresholdValue": 123,
      "confirmationDelaySeconds": 123,
      "recoveryCooldownMinutes": 123,
      "members": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "groupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "memberType": "<string>",
          "createdAt": "2023-11-07T05:31:56Z",
          "monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "serviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "slug": "<string>",
          "subscriptionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "effectiveFrequency": "<string>",
          "uptime24h": 123,
          "chartData": [
            123
          ],
          "avgLatencyMs": 123,
          "p95LatencyMs": 123,
          "lastCheckedAt": "2023-11-07T05:31:56Z",
          "monitorType": "<string>",
          "environmentName": "<string>"
        }
      ]
    }
  ],
  "hasNext": true,
  "hasPrev": true,
  "totalElements": 123,
  "totalPages": 123
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}
{
  "status": 404,
  "code": "NOT_FOUND",
  "message": "Monitor not found",
  "timestamp": 1737302400000,
  "requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Response

OK

data
object[]
required
hasNext
boolean
required
hasPrev
boolean
required
totalElements
integer<int64> | null
totalPages
integer<int32> | null